Mailinglist Archive: opensuse-commit (1318 mails)
| < Previous | Next > |
commit kdebase3
- From: root@xxxxxxx (h_root)
- Date: Thu, 24 Aug 2006 15:40:14 +0200 (CEST)
- Message-id: <20060824134014.25E0B951A5@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package kdebase3
checked in at Thu Aug 24 15:40:14 CEST 2006.
--------
--- KDE/kdebase3/kdebase3.changes 2006-08-23 11:01:53.000000000 +0200
+++ kdebase3/kdebase3.changes 2006-08-24 15:22:03.000000000 +0200
@@ -1,0 +2,12 @@
+Wed Aug 23 17:46:14 CEST 2006 - coolo@xxxxxxx
+
+- rework the way kdmrc is handled (rather experimental):
+ - the KDE defaults are changed right in the build where the value
+ is static (kdm-fix-default-kdmrc.diff)
+ - the KDE kdmrc is the one used by kdm and kcontrol
+ - the default values are overwritten by values in
+ (/var/adm/kdm/kdmrc.syscnfig generated by kdm_config)
+ - Fixes #163954
+ - drops a SuSEconfig
+
+-------------------------------------------------------------------
Old:
----
SuSEconfig.kdm3
kdm-path.diff
New:
----
kdm-sysconfig-values.diff
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ kdebase3.spec ++++++
--- /var/tmp/diff_new_pack.pmbSwh/_old 2006-08-24 15:39:53.000000000 +0200
+++ /var/tmp/diff_new_pack.pmbSwh/_new 2006-08-24 15:39:53.000000000 +0200
@@ -37,10 +37,9 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Url: http://www.kde.org/
Version: 3.5.4
-Release: 5
+Release: 6
%define kde_version 3.5.4
Source0: kdebase-%{kde_version}.tar.bz2
-Source1: SuSEconfig.kdm3
Source3: startkde.suse.sh
Source4: kdebase3.fillup
Source6: ksysguardd.init
@@ -64,7 +63,6 @@
Patch6: ksysguardd-openslp.diff
Patch7: fix-kio-smb-auth.diff
Patch8: konsole_keytab.diff
-Patch9: kdm-path.diff
Patch10: kdesud-security.diff
Patch11: clock-applet-style.diff
Patch12: dont-always-start-kaccess.diff
@@ -93,6 +91,7 @@
Patch71: kdm-mark_autologin.diff
Patch72: kdm-all-users-nopass.diff
Patch73: kdm-session-names.diff
+Patch74: kdm-sysconfig-values.diff
# svn diff $BASE/branches/KDE/3.5/kdebase/kdm@476009 $BASE/branches/work/coolos_kdm
Patch75: kdm-make_it_cool.diff
Patch76: kdm-admin-mode.diff
@@ -311,7 +310,7 @@
Summary: Set and list fileshares
Group: System/Management
Version: 2.0
-Release: 106
+Release: 107
%description -n fileshareset
This package contains the the fileshareset utility to allow users to
@@ -335,7 +334,6 @@
%patch6
%patch7
%patch8
-%patch9
%patch10
%patch11
%patch12
@@ -372,6 +370,7 @@
%patch70
%patch71
%patch72
+%patch74
%patch76
%patch77
%patch78
@@ -532,12 +531,11 @@
#
# install pixmaps and configuration
#
-mkdir -p "${RPM_BUILD_ROOT}"/etc/opt/kde3/share/config/kdm
-mkdir -p "${RPM_BUILD_ROOT}"/opt/kde3/share/UnitedLinux/addon-scripts/
-#rm -f "${RPM_BUILD_ROOT}"/opt/kde3/share/config/kdm/{backgroundrc,kdmrc}
-ln -s /etc/X11/xdm/Xservers "${RPM_BUILD_ROOT}"/etc/opt/kde3/share/config/kdm/Xservers
-mkdir -p "${RPM_BUILD_ROOT}"/var/adm/fillup-templates
-mkdir -p "${RPM_BUILD_ROOT}"/etc/init.d/
+mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/share/config/kdm
+mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/UnitedLinux/addon-scripts/
+rm $RPM_BUILD_ROOT/opt/kde3/share/config/kdm/X*
+mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
+mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install -m 0644 %SOURCE9 ${RPM_BUILD_ROOT}/opt/kde3/share/apps/kdewizard/pics/wizard_small.png
install -m 0744 %SOURCE6 $RPM_BUILD_ROOT/etc/init.d/ksysguardd
%if %suse_version > 920
@@ -582,10 +580,6 @@
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install %SOURCE4 $FILLUP_DIR/sysconfig.windowmanager-kdebase3
-%if %suse_version > 1010
-mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
-install %SOURCE1 $RPM_BUILD_ROOT/sbin/conf.d
-%endif
#
# solve file conflicts with theme packages ...
#
@@ -659,10 +653,6 @@
%post kdm
%{fillup_only -an windowmanager-kdebase3}
-KDMRC=/etc/opt/kde3/share/config/kdm/kdmrc
-if test -e "$KDMRC"; then
- /bin/grep -e '^ConfigVersion=2.[012]' $KDMRC && mv $KDMRC ${KDMRC}.old
-fi
%if %suse_version > 920
%{fillup_and_insserv -npY kdebase3-kdm earlykdm}
/opt/kde3/bin/genkdmconf
@@ -1313,13 +1303,6 @@
%config(noreplace) /opt/kde3/share/config/kdm
%ghost /var/run/xdmctl
/usr/sbin/rckdm
-%if %suse_version > 1010
-/sbin/conf.d/SuSEconfig.kdm3
-%endif
-%dir /etc/opt/kde3/share
-%dir /etc/opt/kde3/share/config
-%dir /etc/opt/kde3/share/config/kdm
-/etc/opt/kde3/share/config/kdm/Xservers
%files session
%defattr(-,root,root)
@@ -1381,6 +1364,15 @@
%endif
%changelog -n kdebase3
+* Wed Aug 23 2006 - coolo@xxxxxxx
+- rework the way kdmrc is handled (rather experimental):
+- the KDE defaults are changed right in the build where the value
+ is static (kdm-fix-default-kdmrc.diff)
+- the KDE kdmrc is the one used by kdm and kcontrol
+- the default values are overwritten by values in
+ (/var/adm/kdm/kdmrc.syscnfig generated by kdm_config)
+- Fixes #163954
+- drops a SuSEconfig
* Wed Aug 23 2006 - stbinner@xxxxxxx
- update 3_5_BRANCH.diff (mostly Konqueror, Kicker and Kwin fixes)
* Thu Aug 17 2006 - dmueller@xxxxxxx
++++++ kdm-fix-default-kdmrc.diff ++++++
--- /var/tmp/diff_new_pack.pmbSwh/_old 2006-08-24 15:39:56.000000000 +0200
+++ /var/tmp/diff_new_pack.pmbSwh/_new 2006-08-24 15:39:56.000000000 +0200
@@ -1,8 +1,98 @@
Index: kdm/config.def
-================================================================================
---- kdm/config.def
-+++ kdm/config.def
-@@ -1930,7 +1930,7 @@
+===================================================================
+--- kdm/config.def (Revision 567799)
++++ kdm/config.def (Arbeitskopie)
+@@ -901,7 +901,7 @@
+ Key: AuthDir
+ Type: path
+ # differs from XDM
+-Default: "/var/run/xauth"
++Default: "/var/lib/xdm/authdir/authfiles"
+ User: core
+ Instance: #"/tmp"
+ Merge: xdm(P_authDir)
+@@ -930,7 +930,7 @@
+
+ Key: ExportList
+ Type: list
+-Default: ""
++Default: "LANG,XCURSOR_THEME"
+ User: core
+ Instance: #"LD_LIBRARY_PATH,ANOTHER_IMPORTANT_VAR"
+ Merge: xdm(P_List)
+@@ -1102,7 +1102,7 @@
+ Key: Xaccess
+ Type: string
+ # differs from xdm
+-Default: *KDMCONF "/Xaccess"
++Default: *"/etc/X11/xdm/Xaccess"
+ User: config(Xaccess)
+ Instance: #""
+ Update: mk_xaccess
+@@ -1164,7 +1164,7 @@
+
+ Key: Willing
+ Type: string
+-Default: ""
++Default: "/etc/X11/xdm/Xwilling"
+ User: core
+ # will be overwritten
+ Instance: #
+@@ -1244,7 +1244,7 @@
+ None/BO_NONE: no boot manager
+ Grub/BO_GRUB: Grub boot manager
+ Lilo/BO_LILO: Lilo boot manager (Linux on i386 & x86-64 only)
+-Default: None
++Default: Grub
+ User: core
+ User: greeter
+ Instance: #Grub
+@@ -1549,7 +1549,7 @@
+ Key: Resources
+ # XXX strictly speaking this is supposed to be a string list, i think.
+ Type: string
+-Default: ""
++Default: "/etx/X11/xdm/Xresources"
+ User: core
+ Instance: #*/""
+ Update: cp_resources
+@@ -1581,7 +1581,7 @@
+
+ Key: Setup
+ Type: string
+-Default: ""
++Default: "/etc/X11/xdm/Xsetup"
+ User: core
+ # will be overwritten
+ Instance: #*/""
+@@ -1602,7 +1602,7 @@
+
+ Key: Startup
+ Type: string
+-Default: ""
++Default: "/etc/X11/xdm/Xstartup"
+ User: core
+ # will be overwritten
+ Instance: #*/""
+@@ -1620,7 +1620,7 @@
+
+ Key: Reset
+ Type: string
+-Default: ""
++Default: "/etc/X11/xdm/Xreset"
+ User: core
+ # will be overwritten
+ Instance: #*/""
+@@ -1638,7 +1638,7 @@
+
+ Key: Session
+ Type: string
+-Default: XBINDIR "/xterm -ls -T"
++Default: "/etc/X11/xdm/Xsession"
+ #Merge: xdm - incompatible!
+ User: core
+ # will be overwritten
+@@ -1921,7 +1921,7 @@
Key: SessionsDirs
Type: list
@@ -11,3 +101,30 @@
User: core
User: greeter-c
Instance: #*/"/etc/X11/sessions,/usr/share/xsessions"
+@@ -2360,7 +2360,7 @@
+
+ Key: UseBackground
+ Type: bool
+-Default: true
++Default: false
+ User: greeter
+ Instance: #*/!
+ Comment:
+@@ -2597,7 +2597,7 @@
+
+ Key: UseTheme
+ Type: bool
+-Default: false
++Default: true
+ User: greeter
+ Instance: #*/true
+ Comment: &
+@@ -2608,7 +2608,7 @@
+ Type: string
+ Default: ""
+ User: greeter
+-Instance: */KDMDATA "/themes/circles"
++Instance: */KDMDATA "/themes/SUSE"
+ Comment: &
+ Description:
+ The theme to use for the greeter. Can point to either a directory or an XML
++++++ kdm-sysconfig-values.diff ++++++
Index: kdm/kfrontend/read_sysconfig.sh
===================================================================
--- kdm/kfrontend/read_sysconfig.sh (Revision 0)
+++ kdm/kfrontend/read_sysconfig.sh (Revision 0)
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# Copyright (c) 2006 SUSE Linux Products GmbH Nuernberg, Germany.
+#
+# Author: Stephan Kulow <coolo@xxxxxxx>
+#
+
+#
+# check if we are started as root
+# only one of UID and USER must be set correctly
+#
+if test "$UID" != 0 -a "$USER" != root; then
+ echo "You must be root to start $0."
+ exit 1
+fi
+
+#
+# check for sysconfig/displaymanager or rc.config
+#
+test -f /etc/sysconfig/displaymanager && source /etc/sysconfig/displaymanager
+test -f /etc/sysconfig/security && source /etc/sysconfig/security
+test -f /etc/sysconfig/language && source /etc/sysconfig/language
+
+#
+# source /etc/profile to get $kdedir
+#
+kdedir="/opt/kde3"
+kdmdir="/var/adm/kdm"
+
+# check for write permissions
+[ -w ${kdmdir} ] || mkdir -p ${kdmdir}
+[ -w ${kdmdir} ] || exit
+
+#
+# Set Style of Shutdown
+#
+ECHO_MODE="OneStar"
+ALLOW_ROOT_LOGIN="true"
+case "$DISPLAYMANAGER_SHUTDOWN" in
+ all|ALL|All)
+ DISPLAYMANAGER_SHUTDOWN=All;;
+ none|NONE|None)
+ DISPLAYMANAGER_SHUTDOWN=None;;
+ auto|Auto|AUTO)
+ case "$PERMISSION_SECURITY" in
+ *easy*)
+ DISPLAYMANAGER_SHUTDOWN=All
+ ;;
+ *paranoid*)
+ ECHO_MODE="NoEcho"
+ ALLOW_ROOT_LOGIN="false"
+ DISPLAYMANAGER_SHUTDOWN=Root
+ ;;
+ *)
+ DISPLAYMANAGER_SHUTDOWN=All
+ ;;
+ esac
+ ;;
+ * )
+ DISPLAYMANAGER_SHUTDOWN=Root;;
+esac
+
+(
+echo "[X-*-Greeter]"
+if [ -n "$KDM_USERS" ]; then
+ echo "ShowUsers=Selected"
+ echo -n "SelectedUsers="
+ echo ${KDM_USERS}|sed -e 's@ [ ]*@ @g' -e 's@ @,@g'
+else
+ echo "ShowUsers=NotHidden"
+fi
+if [ "$DISPLAYMANAGER_AD_INTEGRATION" = "yes" ]; then
+ echo "PluginsLogin=winbind"
+fi
+if [ -n "$DISPLAYMANAGER_KDM_THEME" -a -d "/opt/kde3/share/apps/kdm/themes/$DISPLAYMANAGER_KDM_THEME" ]; then
+ echo "Theme=/opt/kde3/share/apps/kdm/themes/$DISPLAYMANAGER_KDM_THEME"
+ echo "UseTheme=true"
+ echo "UseBackground=false"
+else
+ echo "UseTheme=false"
+ echo "UseBackground=true"
+fi
+
+echo "[Xdmcp]"
+if [ "$DISPLAYMANAGER_REMOTE_ACCESS" = "yes" ]; then
+ echo "Enable=true"
+else
+ echo "Enable=false"
+fi
+
+echo "[X-:0-Core]"
+if [ "$DISPLAYMANAGER_AUTOLOGIN" ]; then
+ echo "AutoLoginEnable=true"
+ echo "AutoLoginUser=${DISPLAYMANAGER_AUTOLOGIN}"
+else
+ echo "AutoLoginEnable=false"
+fi
+if [ "$DISPLAYMANAGER_XSERVER_TCP_PORT_6000_OPEN" = "yes" ]; then
+ echo "ServerArgsLocal="
+else
+ echo "ServerArgsLocal=-nolisten tcp"
+fi
+if [ "$DISPLAYMANAGER_PASSWORD_LESS_LOGIN" = "yes" ]; then
+ echo "NoPassEnable=true"
+ echo "NoPassAllUsers=true"
+else
+ echo "NoPassEnable=false"
+ echo "NoPassAllUsers=false"
+fi
+echo "AllowShutdown=${DISPLAYMANAGER_SHUTDOWN}"
+echo "AllowRootLogin=${ALLOW_ROOT_LOGIN}"
+echo "AllowNullPasswd=${ALLOW_ROOT_LOGIN}"
+
+echo "[X-*-Core]"
+echo "EchoMode=${ECHO_MODE}"
+
+echo "[General]"
+if [ "$DISPLAYMANAGER_STARTS_XSERVER" != "yes" ]; then
+ echo "StaticServers="
+fi
+
+) > ${kdmdir}/kdmrc.sysconfig
+
Eigenschaftsänderungen: kdm/kfrontend/read_sysconfig.sh
___________________________________________________________________
Name: svn:executable
+ *
Index: kdm/kfrontend/kdm_config.c
===================================================================
--- kdm/kfrontend/kdm_config.c (Revision 567799)
+++ kdm/kfrontend/kdm_config.c (Arbeitskopie)
@@ -386,7 +386,7 @@
static Section *rootsec;
static void
-ReadConf()
+ReadConfFile(const char *rcfile)
{
const char *nstr, *dstr, *cstr, *dhost, *dnum, *dclass;
char *s, *e, *st, *en, *ek, *sl, *pt;
@@ -396,16 +396,11 @@
int nlen, dlen, clen, dhostl, dnuml, dclassl;
int i, line, sectmoan, restl;
File file;
- static int confread;
- if (confread)
+ Debug( "reading config %s ...\n", rcfile );
+ if (!readFile( &file, rcfile, "master configuration" ))
return;
- confread = 1;
- Debug( "reading config %s ...\n", kdmrc );
- if (!readFile( &file, kdmrc, "master configuration" ))
- return;
-
for (s = file.buf, line = 0, cursec = 0, sectmoan = 1; s < file.eof; s++) {
line++;
@@ -429,7 +424,7 @@
e--;
if (*e != ']') {
cursec = 0;
- LogError( "Invalid section header at %s:%d\n", kdmrc, line );
+ LogError( "Invalid section header at %s:%d\n", rcfile, line );
continue;
}
nstr = sl + 1;
@@ -439,7 +434,7 @@
!memcmp( nstr, cursec->name, nlen ))
{
LogInfo( "Multiple occurrences of section [%.*s] in %s. "
- "Consider merging them.\n", nlen, nstr, kdmrc );
+ "Consider merging them.\n", nlen, nstr, rcfile );
goto secfnd;
}
if (nstr[0] == 'X' && nstr[1] == '-') {
@@ -495,7 +490,7 @@
illsec:
cursec = 0;
LogError( "Unrecognized section name [%.*s] at %s:%d\n",
- nlen, nstr, kdmrc, line );
+ nlen, nstr, rcfile, line );
continue;
newsec:
if (!(cursec = Malloc( sizeof(*cursec) )))
@@ -523,7 +518,7 @@
if (!cursec) {
if (sectmoan) {
sectmoan = 0;
- LogError( "Entry outside any section at %s:%d", kdmrc, line );
+ LogError( "Entry outside any section at %s:%d", rcfile, line );
}
goto sktoeol;
}
@@ -531,13 +526,13 @@
for (; (s < file.eof) && (*s != '\n'); s++)
if (*s == '=')
goto haveeq;
- LogError( "Invalid entry (missing '=') at %s:%d\n", kdmrc, line );
+ LogError( "Invalid entry (missing '=') at %s:%d\n", rcfile, line );
continue;
haveeq:
for (ek = s - 1; ; ek--) {
if (ek < sl) {
- LogError( "Invalid entry (empty key) at %s:%d\n", kdmrc, line );
+ LogError( "Invalid entry (empty key) at %s:%d\n", rcfile, line );
goto sktoeol;
}
if (!isspace( *ek ))
@@ -551,7 +546,7 @@
if (*s == '\\') {
s++;
if (s >= file.eof || *s == '\n') {
- LogError( "Trailing backslash at %s:%d\n", kdmrc, line );
+ LogError( "Trailing backslash at %s:%d\n", rcfile, line );
break;
}
switch (*s) {
@@ -580,29 +575,42 @@
goto keyok;
}
LogError( "Unrecognized key '%.*s' in section [%.*s] at %s:%d\n",
- nlen, nstr, cursec->nlen, cursec->name, kdmrc, line );
+ nlen, nstr, cursec->nlen, cursec->name, rcfile, line );
continue;
keyok:
for (curent = cursec->entries; curent; curent = curent->next)
if (ce == curent->ent) {
LogError( "Multiple occurrences of key '%s' in section [%.*s]"
" of %s\n",
- ce->name, cursec->nlen, cursec->name, kdmrc );
+ ce->name, cursec->nlen, cursec->name, rcfile );
goto keyfnd;
}
if (!(curent = Malloc( sizeof(*curent) )))
return;
+ curent->next = cursec->entries;
+ cursec->entries = curent;
+ keyfnd:
curent->ent = ce;
curent->line = line;
curent->val = st;
curent->vallen = en - st;
- curent->next = cursec->entries;
- cursec->entries = curent;
- keyfnd:
continue;
}
}
+static void ReadConf()
+{
+ static int confread = 0;
+
+ if (confread)
+ return;
+ confread++;
+
+ system("/opt/kde3/share/apps/kdm/read_config.sh");
+ ReadConfFile("/var/adm/kdm/kdmrc.sysconfig");
+ ReadConfFile(kdmrc);
+}
+
static Entry *
FindGEnt( int id )
{
Index: kdm/kfrontend/Makefile.am
===================================================================
--- kdm/kfrontend/Makefile.am (Revision 567799)
+++ kdm/kfrontend/Makefile.am (Arbeitskopie)
@@ -64,3 +64,7 @@
kdm_config_COMPILE_FIRST = ../config.ci
genkdmconf_COMPILE_FIRST = ../config.ci
+
+appsdir = $(kde_datadir)/kdm
+apps_SCRIPTS = read_sysconfig.sh
+
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |